> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List groups

GET https://api-d.docusign.net/Management/v2/organizations/{organizationId}/accounts/{accountId}/groups

Returns the list of groups in an account.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `group_read`.

### Related topics

- [How to create a new active eSignature user](/docs/admin-api/how-to/create-active-user/)

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/esignusermanagement/getgroups

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID Guid
- `accountId` (string, required) — The account ID Guid

### Query parameters

- `start` (integer, optional) — Index of first item to include in the response. The default value is 0.
- `take` (integer, optional) — Page size of the response. The default value is 20.
- `end` (integer, optional) — Index of the last item to include in the response. Ignored if `take` parameter is specified.

## Response

### 200

OK

- `groups` (list of MemberGroupResponse, optional) — A list of the responses.
- `paging` (PagingResponseProperties, optional)

## Types

### MemberGroupResponse

And individual group responses,.

- `id` (long, optional) — The unique ID of the group.
- `name` (string, optional) — The name of the group.
- `type` (string, optional) — The type of group. One of: - `invalid` - `admin_group` - `everyone_group` - `custom_group`

### PagingResponseProperties

- `result_set_size` (integer, optional) — The number of items in a result set (page).
- `result_set_start_position` (integer, optional) — The index position of the first result in this set.
- `result_set_end_position` (integer, optional) — The index position of the last result in this set.
- `total_set_size` (integer, optional) — The total number of results.
- `next` (string, optional) — A URL to the next set of results.
- `previous` (string, optional) — A URL to the previous set of results.

## Examples

**Response**

```json
{
  "groups": [
    {
      "id": 1,
      "name": "string",
      "type": "string"
    }
  ],
  "paging": {
    "result_set_size": 1,
    "result_set_start_position": 1,
    "result_set_end_position": 1,
    "total_set_size": 1,
    "next": "string",
    "previous": "string"
  }
}
```